> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.getmeadow.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List order returns

> Retrieve all order returns for an organization in reverse chronological order. 50 order returns will be returned at a time and may be paginated using the `startingAfter` query parameter.



## OpenAPI

````yaml GET /api/v1/order-returns
openapi: 3.0.1
info:
  title: Meadow Open API
  description: The API to connect to the Meadow platform
  version: 1.0.0
servers:
  - url: https://api-staging.getmeadow.com
  - url: https://api.getmeadow.com
security:
  - meadowConsumer: []
    meadowClient: []
paths:
  /api/v1/order-returns:
    get:
      description: >-
        Retrieve all order returns for an organization in reverse chronological
        order. 50 order returns will be returned at a time and may be paginated
        using the `startingAfter` query parameter.
      parameters:
        - name: startingAfter
          in: query
          description: >-
            The `id` for an order return that you want to retrieve all order
            returns after this one. Pass in the last `id` in a response to
            retrieve the next page.
          required: false
          schema:
            type: integer
            format: int64
        - name: voided
          in: query
          description: >-
            Pass in `true` if you would like to only receive voided returns.
            Voided returns are ones that were cancelled and are no longer
            considered valid.
          required: false
          schema:
            type: boolean
      responses:
        '200':
          description: Order return response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrderReturn'
              example:
                data:
                  - id: 361
                    orderId: '12604007'
                    refundType: payment-method
                    refundInitial: -5000
                    refundTotal: -5541
                    creditsTotal: 0
                    discountsTotal: 1000
                    adjustmentAmount: 0
                    adjustmentDescription: ''
                    paymentTypeName: Cash
                    loyaltyTotal: 0
                    voidedAt: null
                    voidedReason: null
                    createdAt: '2024-01-01T21:26:56.051Z'
                    lineItems:
                      - orderLineItemId: 9769
                        type: return
                        inventoryAction: vendor
                        quantity: 1
                        reason: test
                        fulfillAs: []
                    taxes:
                      - taxId: 240
                        amount: -400
                        description: Local Tax
                        refunded: true
                        rate: '10'
                        included: false
                        exemptable: false
                        type: standard
                        tier: '1'
                      - taxId: 241
                        amount: -660
                        description: Excise Tax
                        refunded: true
                        rate: '15'
                        included: false
                        exemptable: false
                        type: california-excise
                        tier: '2'
                      - taxId: 242
                        amount: -481
                        description: State Sales Tax
                        refunded: true
                        rate: '9.5'
                        included: false
                        exemptable: true
                        type: standard
                        tier: '3'
                    createdBy:
                      id: 519
                      email: employee@getmeadow.com
                      firstName: Employee
                      lastName: Name
                    voidedBy: {}
                  - id: 360
                    orderId: '210919262'
                    refundType: payment-method
                    refundInitial: -1000
                    refundTotal: -1265
                    creditsTotal: 0
                    discountsTotal: 0
                    adjustmentAmount: 0
                    adjustmentDescription: ''
                    paymentTypeName: Cash
                    loyaltyTotal: 0
                    voidedAt: null
                    voidedReason: null
                    createdAt: '2023-09-15T17:01:13.656Z'
                    lineItems:
                      - orderLineItemId: 9123
                        type: exchange
                        inventoryAction: waste
                        quantity: 1
                        reason: x
                        fulfillAs:
                          - optionSum: -1
                            quantityFulfilled: '1'
                            productOptionId: 167
                            pkg:
                              label: STAGING01234567000000004
                              unit: Grams
                    taxes:
                      - taxId: 240
                        amount: -100
                        description: Local Tax
                        refunded: true
                        rate: '10'
                        included: false
                        exemptable: false
                        type: standard
                        tier: '1'
                      - taxId: 241
                        amount: -165
                        description: Excise Tax
                        refunded: true
                        rate: '15'
                        included: false
                        exemptable: false
                        type: california-excise
                        tier: '2'
                      - taxId: 242
                        amount: 0
                        description: State Sales Tax
                        refunded: true
                        rate: '9.5'
                        included: false
                        exemptable: true
                        type: standard
                        tier: '3'
                    createdBy:
                      id: 519
                      email: employee@getmeadow.com
                      firstName: Employee
                      lastName: Name
                    voidedBy: {}
        4XX:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
components:
  schemas:
    OrderReturn:
      type: object
      properties:
        id:
          type: number
          description: The ID of this return
        refundType:
          type: string
          description: One of `payment-method`, `store-credit` or `none`
        refundInitial:
          type: number
          description: >-
            The initial refund before taxes, credits, adjustments, loyalty, and
            discounts
        refundTotal:
          type: number
          description: The final refund total of the return
        creditsTotal:
          type: number
          description: The amount of credits refunded from the order
        discountsTotal:
          type: number
          description: The amount of discounts refunded from the order
        adjustmentAmount:
          type: number
          description: A manual adjustment of the refund for this return
        adjustmentDescription:
          type: string
          description: A description for the adjustment if there is one
          nullable: true
        paymentTypeName:
          type: string
          description: The name of the payment type this refund was processed as
        loyaltyTotal:
          type: number
          description: The amount of a loyalty redemption returned
        voidedAt:
          type: string
          description: >-
            The date that this return was voided or `null`. If there is a value
            here, it means the return was canceled and is no longer applicable
          nullable: true
        voidedReason:
          type: string
          description: The reason this return was voided
          nullable: true
        createdAt:
          type: string
          description: The date this return was created
        lineItems:
          type: array
          description: An array of line items for this return
          items:
            type: object
            properties:
              orderLineItemId:
                type: number
                description: The ID of the `lineItems[].id` that is being returned
              type:
                type: string
                description: Either `return` or `exchange`
              inventoryAction:
                type: string
                description: One of `waste`, `inventory` , or `vendor`.
              quantity:
                type: number
                description: The quantity of the order line item being returned
              reason:
                type: string
                description: A reason this line item is being returned
              fulfillAs:
                type: array
                description: >-
                  Fulfillment information for the packages on this return. See
                  `lineItems[].fulfillAs` for possible properties
                items:
                  type: object
        taxes:
          type: array
          description: An array of tax information about this return
          items:
            type: object
            properties:
              amount:
                type: number
                description: The amount of tax proportionally applied to this return
              description:
                type: string
                description: A description of the tax
              refunded:
                type: boolean
                description: >-
                  A boolean of whether this tax was refunded to the customer or
                  not
              rate:
                type: number
                description: The tax rate
              included:
                type: boolean
                description: Whether this tax was included in the price of the products
              exemptable:
                type: boolean
                description: Whether this tax was exemptable or not
        createdBy:
          type: object
          description: The employee that created this return
          properties:
            id:
              type: number
              description: The id of the employee who created this return
            email:
              type: string
              description: The email of the employee
            firstName:
              type: string
              description: The first name of the employee
            lastName:
              type: string
              description: The last name of the employee
        voidedBy:
          type: object
          description: The employee that voided this return (or `{}` if it is not voided)
          properties:
            id:
              type: number
              description: The id of the employee who voided this return
            email:
              type: string
              description: The email of the employee
            firstName:
              type: string
              description: The first name of the employee
            lastName:
              type: string
              description: The last name of the employee
    APIError:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: A description of the error code
            code:
              type: string
              example: CODE_OF_ERROR_WILL_BE_HERE
  securitySchemes:
    meadowConsumer:
      type: apiKey
      name: X-Consumer-Key
      description: The key assigned to your company and provided via Meadow
      in: header
    meadowClient:
      type: apiKey
      name: X-Client-Key
      description: The key generated and provided by our mutual client
      in: header

````